# Fetching a list of Workweek Memberships

The Workweek Memberships endpoint provides a list of all workweek memberships that belongs to the
account of the user making the request. The response will contain an array of workweek membership
objects, sorted by their start_date.


This endpoint returns structured Workweek Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the workweek_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /workweek_memberships
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in ISO 8601 format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in ISO 8601 format.

  - `effective_date` (string)
    Includes only workweek memberships with a start date before, and an end date after, the specified date. The date must be in ISO 8601 format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- user (User) - References the user to whom the workweek membership belongs.
- workweek (Workweek) - References the associated workweek.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: start_date:asc and start_date:desc.

  - `page` (integer)

  - `participants_for_workspace_id` (integer)
    Limit Workweek Memberships by those participating in the workspace of the specified workspace ID.

  - `participating_with` (boolean)
    Limits workweek memberships to those associated with the user making the request.

  - `per_page` (integer)

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in ISO 8601 format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in ISO 8601 format.

  - `user_ids` (array)
    Includes only workweek memberships that belong to the specified user IDs.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `workweek_memberships` (object)

  - `users` (object)

  - `workweeks` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


